OrderingComparison (JavaHamcrest 2.0.0.0 API)
Date: 2015-01-18

org.hamcrest.number

## Class OrderingComparison

- java.lang.Object
- - org.hamcrest.number.OrderingComparison

-     public class OrderingComparison
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends java.lang.Comparable<T>> Matcher<T>` | `comparesEqualTo(T value)` Creates a matcher of `Comparable` object that matches when the examined object is equal to the specified value, as reported by the `compareTo` method of the examined object.
    `static <T extends java.lang.Comparable<T>> Matcher<T>` | `greaterThan(T value)` Creates a matcher of `Comparable` object that matches when the examined object is greater than the specified value, as reported by the `compareTo` method of the examined object.
    `static <T extends java.lang.Comparable<T>> Matcher<T>` | `greaterThanOrEqualTo(T value)` Creates a matcher of `Comparable` object that matches when the examined object is greater than or equal to the specified value, as reported by the `compareTo` method of the examined object.
    `static <T extends java.lang.Comparable<T>> Matcher<T>` | `lessThan(T value)` Creates a matcher of `Comparable` object that matches when the examined object is less than the specified value, as reported by the `compareTo` method of the examined object.
    `static <T extends java.lang.Comparable<T>> Matcher<T>` | `lessThanOrEqualTo(T value)` Creates a matcher of `Comparable` object that matches when the examined object is less than or equal to the specified value, as reported by the `compareTo` method of the examined object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### comparesEqualTo

          public static <T extends java.lang.Comparable<T>> Matcher<T> comparesEqualTo(T value)

      Creates a matcher of `Comparable` object that matches when the examined object is equal to the specified value, as reported by the `compareTo` method of the examined object. For example:

          assertThat(1, comparesEqualTo(1))

      Parameters:
        `value` - the value which, when passed to the compareTo method of the examined object, should return zero

    - #### greaterThan

          public static <T extends java.lang.Comparable<T>> Matcher<T> greaterThan(T value)

      Creates a matcher of `Comparable` object that matches when the examined object is greater than the specified value, as reported by the `compareTo` method of the examined object. For example:

          assertThat(2, greaterThan(1))

      Parameters:
        `value` - the value which, when passed to the compareTo method of the examined object, should return greater than zero

    - #### greaterThanOrEqualTo

          public static <T extends java.lang.Comparable<T>> Matcher<T> greaterThanOrEqualTo(T value)

      Creates a matcher of `Comparable` object that matches when the examined object is greater than or equal to the specified value, as reported by the `compareTo` method of the examined object. For example:

          assertThat(1, greaterThanOrEqualTo(1))

      Parameters:
        `value` - the value which, when passed to the compareTo method of the examined object, should return greater than or equal to zero

    - #### lessThan

          public static <T extends java.lang.Comparable<T>> Matcher<T> lessThan(T value)

      Creates a matcher of `Comparable` object that matches when the examined object is less than the specified value, as reported by the `compareTo` method of the examined object. For example:

          assertThat(1, lessThan(2))

      Parameters:
        `value` - the value which, when passed to the compareTo method of the examined object, should return less than zero

    - #### lessThanOrEqualTo

          public static <T extends java.lang.Comparable<T>> Matcher<T> lessThanOrEqualTo(T value)

      Creates a matcher of `Comparable` object that matches when the examined object is less than or equal to the specified value, as reported by the `compareTo` method of the examined object. For example:

          assertThat(1, lessThanOrEqualTo(1))

      Parameters:
        `value` - the value which, when passed to the compareTo method of the examined object, should return less than or equal to zero